Build the Application

The Katapult API Supports a multistep process for building the application once you have the uid. To build the Katapult application for a consumer, the customer’s application data as shown in the Application JSON to the right should be sent in a PATCH request to Katapult with the new information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Attributes

AttributeData TypeDescriptionRequired Format
billing_addressstringcustomer's line 1 of billing addressnone
billing_address2stringcustomer's line 2 of billing addressnone
billing_citystringcustomer's billing citynone
billing_first_namestringfirst name of the customer's billing informationnone
billing_last_namestringlast name of the customer's billing informationnone
billing_statestringcustomer's billing state2 char state abbrev.
billing_zipstringcustomer's billing zip code5 digit
dob_dayintegercustomer's day of birth1 or 2 digit number
dob_monthintegercustomer's month of birth1 or 2 digit number
dob_yearintegercustomer's year of birth4 digit number
emailstringcustomer's email address to receive lease agreement and notificationsnone
incomestringcustomer's annual incomenumber
ssnstringcustomer's social security number9 digit number
privacy_agreement_acceptedstringindication if the privacy policy and terms and conditions were agreed totrue / false

Request Payload

{
  "billing_address" : "151 W 25th St",
 	"billing_address2" : "9th Fl",
	"billing_city" : "New York",
	"billing_first_name" : "John",
	"billing_last_name" : "Doe",
	"billing_state" : "NY",
	"billing_zip" : "10010",
	"dob_day" : 11,
	"dob_month" : 6,
	"dob_year" : 1986,
	"email" :”[email protected]”,
  "income" : "50000.00",
  "ssn" : "431135234",
  "privacy_agreement_accepted": "true"
}

Build the Application Errors

ErrorHTTP statusDescription
UNAUTHORIZED401Invalid Authorization Token
Path Params
string
required
Body Params
string
string
string
string
string
string
string
string
number
number
number
string
string
string
enum
Allowed:
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Choose an example:
application/json